com.brightcove.player.captioning

## Class BrightcoveCaptionStyle

- java.lang.Object
- - com.brightcove.player.captioning.BrightcoveCaptionStyle

-     public abstract class BrightcoveCaptionStyle
      extends java.lang.Object

  A convenience class to build up and represent a Caption Style

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `BrightcoveCaptionStyle.Builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcoveCaptionStyle()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `backgroundColor()`
    `abstract int` | `backgroundOpacity()`
    `static BrightcoveCaptionStyle.Builder` | `builder()`
    `static BrightcoveCaptionStyle` | `createCaptionStyle(java.lang.String fontSize, java.lang.String typeface, int foregroundColor, int foregroundOpacity, int edgeType, int edgeColor, int backgroundColor, int backgroundOpacity, int windowColor, int windowOpacity)`
    `static BrightcoveCaptionStyle` | `createCaptionStyleFromPreset(java.lang.String fontSize, int preset)`
    `abstract int` | `edgeColor()`
    `abstract int` | `edgeType()`
    `abstract java.lang.String` | `fontSize()`
    `abstract int` | `foregroundColor()`
    `abstract int` | `foregroundOpacity()`
    `abstract int` | `preset()`
    `abstract java.lang.String` | `typeface()`
    `static BrightcoveCaptionStyle` | `updateStyleByPreferenceKey(BrightcoveCaptionStyle style, java.lang.String preferenceKey, java.lang.Object value)`
    `void` | `validate()`
    `abstract int` | `windowColor()`
    `abstract int` | `windowOpacity()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrightcoveCaptionStyle

          public BrightcoveCaptionStyle()

  - ### Method Detail

    - #### preset

          public abstract int preset()

    - #### fontSize

          public abstract java.lang.String fontSize()

    - #### typeface

          public abstract java.lang.String typeface()

    - #### foregroundColor

          public abstract int foregroundColor()

    - #### foregroundOpacity

          public abstract int foregroundOpacity()

    - #### edgeType

          public abstract int edgeType()

    - #### edgeColor

          public abstract int edgeColor()

    - #### backgroundColor

          public abstract int backgroundColor()

    - #### backgroundOpacity

          public abstract int backgroundOpacity()

    - #### windowColor

          public abstract int windowColor()

    - #### windowOpacity

          public abstract int windowOpacity()

    - #### createCaptionStyle

          public static BrightcoveCaptionStyle createCaptionStyle(java.lang.String fontSize,
                                                                  java.lang.String typeface,
                                                                  int foregroundColor,
                                                                  int foregroundOpacity,
                                                                  int edgeType,
                                                                  int edgeColor,
                                                                  int backgroundColor,
                                                                  int backgroundOpacity,
                                                                  int windowColor,
                                                                  int windowOpacity)

    - #### createCaptionStyleFromPreset

          public static BrightcoveCaptionStyle createCaptionStyleFromPreset(java.lang.String fontSize,
                                                                            int preset)

    - #### updateStyleByPreferenceKey

          public static BrightcoveCaptionStyle updateStyleByPreferenceKey(BrightcoveCaptionStyle style,
                                                                          java.lang.String preferenceKey,
                                                                          java.lang.Object value)

    - #### builder

          public static BrightcoveCaptionStyle.Builder builder()

    - #### validate

          public void validate()